> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/wemreference/wmt/reference/navigation.md).

# Navigation

{% hint style="info" %}
The **`Navigation`** template part is used to render the specific menu defined in the WEM project.
{% endhint %}

### Syntax

`<% Navigation`` `<mark style="color:blue;">`container-name`</mark>` ``%>`

`<% Navigation container =`` `<mark style="color:blue;">`container-name`</mark>` ``%>`

`<% Navigation container =`` `<mark style="color:blue;">`container-name`</mark>`, right =`` `<mark style="color:blue;">`menu-right`</mark>` ``%>`

`<% Navigation container =`` `<mark style="color:blue;">`container-name`</mark>`, renderer =`` `<mark style="color:blue;">`renderer-type`</mark>` ``%>`

#### Menu Containers

The WEM runtime supports three fixed visible menu containers, along with one invisible container that cannot be rendered.

<table data-header-hidden data-full-width="false"><thead><tr><th></th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>container-name</code></mark></td></tr><tr><td>main</td></tr><tr><td>user</td></tr><tr><td>footer</td></tr></tbody></table>

#### Renderer

The `renderer` parameter accepts only one argument. Depending on whether the `renderer` parameter is set to `legacy`, the menu will be rendered in either a legacy format or a Bootstrap structure.

<table data-header-hidden data-full-width="false"><thead><tr><th></th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>renderer</code></mark></td></tr><tr><td>legacy</td></tr></tbody></table>

#### Right-Handed Menu

The `menu-right` parameter can be set to `true` or `false`, which determines whether the menu is rendered on the right side.

Note that this parameter is ignored when the `renderer` is set to `legacy`.

<table data-header-hidden data-full-width="false"><thead><tr><th></th></tr></thead><tbody><tr><td><mark style="color:blue;"><code>menu-right</code></mark></td></tr><tr><td>true</td></tr><tr><td>false</td></tr></tbody></table>

### Example

```html
<body>
    <div class="top-menu">
        <% Navigation container = main %>
        <% Navigation container = user, right = true %>
    </div>
    <!-- Body content -->
    <% Navigation container = footer, renderer = legacy %>
</body>
```

### Generated Output

```html
<ul class="nav navbar-nav">
    <li class="active mode-cross-link">
        <a href="/">Home</a>
    </li>
    <li class="mode-cross-link">
        <a href="/forum">Forum</a>
    </li>
    <li class="dropdown">
        <a id="navitem8" href="#" class="dropdown-toggle" data-toggle="dropdown">Resources<i class="wem-icon-postfix fa fa-caret-down"></i></a>
        <ul class="dropdown-menu" role="menu">
            <li class="mode-cross-link">
                <a href="/resources/documentation">Documentation</a>
            </li>
            <li class="mode-cross-link">
                <a href="/resources/training">Training</a>
            </li>
        </ul>
    </li>
    <li class="mode-cross-link">
        <a href="/status">Status</a>
    </li>
</ul>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wem.io/platform/wemreference/wmt/reference/navigation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
